Bug 10621 - NFS does not parse /etc/exports properly
Summary: NFS does not parse /etc/exports properly
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-06 21:34 UTC by charles wright
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 19:34:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description charles wright 2000-04-06 21:34:38 UTC
I get very strange errors with /etc/exports. If I have something like this
in /etc/exports:

/usr/local		foo.example.com(ro)
/export/redhat-6.2	newbie.example.com(ro)

After restarting nfs, showmount might tell me something like this:

/usr/local		foo.example.com,newbie.example.com
/export/redhat-6.2	(everyone)

I've even managed to make it export /usr/local to the world, writable, even
when all options in /etc/exports are explicitly read-only. This sucks.

I can manually edit /var/lib/nfs/etab and /var/lib/nfs/xtab to make it work
as I want; this seems to indicate that the problem is with the exportfs
utility. This is a pretty serious problem though.

Comment 1 Cristian Gafton 2000-08-09 02:34:30 UTC
assigned to johnsonm

Comment 2 charles wright 2002-01-18 18:06:46 UTC
ummmm... what the hell, guys?  i didnt report this.

y'all might wanna see if your bugzilla isnt getting messed up somehow.


Comment 3 Bob Matthews 2002-01-18 19:34:46 UTC
> i didnt report this.

Sorry, don't know what happened here.  Anyway, I can't reproduce this.


Note You need to log in before you can comment on or make changes to this bug.